com.holonplatform.datastore.jpa.examples

## Class ExampleJpaDatastoreModel

- java.lang.Object
- - com.holonplatform.datastore.jpa.examples.ExampleJpaDatastoreModel

-     public class ExampleJpaDatastoreModel
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ExampleJpaDatastoreModel.Test`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.holonplatform.core.property.NumericProperty<Long>` | `ID`
    `static JpaTarget<ExampleJpaDatastoreModel.Test>` | `JPA_TARGET`
    `static com.holonplatform.core.datastore.DataTarget<?>` | `TARGET`
    `static com.holonplatform.core.property.PropertySet<?>` | `TEST`
    `static com.holonplatform.core.property.StringProperty` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleJpaDatastoreModel()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaDatastore` | `getJpaDatastore()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final com.holonplatform.core.property.NumericProperty<Long> ID

    - #### VALUE

          public static final com.holonplatform.core.property.StringProperty VALUE

    - #### TEST

          public static final com.holonplatform.core.property.PropertySet<?> TEST

    - #### TARGET

          public static final com.holonplatform.core.datastore.DataTarget<?> TARGET

    - #### JPA_TARGET

          public static final JpaTarget<ExampleJpaDatastoreModel.Test> JPA_TARGET

  - ### Constructor Detail

    - #### ExampleJpaDatastoreModel

          public ExampleJpaDatastoreModel()

  - ### Method Detail

    - #### getJpaDatastore

          public static JpaDatastore getJpaDatastore()

Copyright © 2019 The Holon Platform. All rights reserved.